<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

defined('_JEXEC') or die;

use Akeeba\TicketSystem\Admin\Helper\Html;
use FOF30\Utils\FEFHelper\BrowseView;
use Akeeba\TicketSystem\Admin\Helper\Select;

?>
@extends('any:lib_fof30/Common/browse')

@section('browse-filters')
    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('title', 'title', 'COM_ATS_CUSTOMFIELDS_FIELD_TITLE')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
		{{ Select::fieldTypes('type', $this->getModel()->getState('type'), ['class' => 'atsCommonEventsOnChangeSubmit']) }}
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        {{ BrowseView::publishedFilter('enabled', 'JENABLED') }}
    </div>
@stop

@section('browse-table-header')
    {{-- ### HEADER ROW ### --}}
    <tr>
        <th width="50px">
            @sortgrid('ordering', '<i class="icon-menu-2"></i>')
        </th>
        <th width="20px">
            @jhtml('FEFHelper.browse.checkall')
        </th>
        <th width="40px">
            @sortgrid('ats_customfield_id', 'JGLOBAL_NUM')
        </th>
        <th>
            @sortgrid('title', 'COM_ATS_CUSTOMFIELDS_FIELD_TITLE')
        </th>
        <th>
            @sortgrid('type', 'COM_ATS_CUSTOMFIELDS_FIELD_TYPE')
        </th>
        <th>
            @sortgrid('default', 'COM_ATS_CUSTOMFIELDS_FIELD_DEFAULT')
        </th>
        <th width="30">
            @sortgrid('enabled', 'JENABLED')
        </th>
    </tr>
@stop

@section('browse-table-body-withrecords')
    {{-- Table body shown when records are present. --}}
    <?php
	$i = 0;
	$enabled = $this->container->platform->getUser()->authorise('core.edit.state', 'com_ats');

	/** @var \Akeeba\TicketSystem\Admin\Model\CustomFields $row */
	foreach($this->items as $row):
	?>
    <tr>
        <td>
            @jhtml('FEFHelper.browse.order', 'ordering', $row->ordering)
        </td>
        <td>
            @jhtml('FEFHelper.browse.id', ++$i, $row->getId())
        </td>
        <td>
            {{{ $row->getId() }}}
        </td>
        <td>
            <a href="@route(\FOF30\Utils\FEFHelper\BrowseView::parseFieldTags('index.php?option=com_ats&view=CustomFields&task=edit&id=[ITEM:ID]', $row))">
                {{{ $row->title }}}
                <span class="small">({{ $row->slug }})</span>
            </a>
        </td>
        <td>
			{{{ Html::getFieldType($row->type) }}}
        </td>
        <td>
			{{  $row->default }}
        </td>
        <td>
            @jhtml('FEFHelper.browse.published', $row->enabled, $i, '', $enabled)
        </td>
    </tr>
    <?php endforeach; ?>
@stop